> For the complete documentation index, see [llms.txt](https://docs.constellationnetwork.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.constellationnetwork.io/run-a-node/legacy/troubleshoot-nodectl-upgrade.md).

# Troubleshoot nodectl upgrade

{% hint style="warning" %}
**⚠️ DEPRECATED:** The `nodectl` utility is no longer supported. This guide is archived for reference only.

New and existing node operators should use the **Node Pilot** utility. **Click here to view the Node Pilot Setup Guide**
{% endhint %}

## Introduction

As `nodectl` evolves, the upgrade process also changes.

This guide helps bring your outdated `nodectl` installation up to the current recommended version using a versioned, step-by-step upgrade path.

***

## Directly From The nodectl Utility

{% stepper %}
{% step %}

### Check Your Current Version

```bash
sudo nodectl version
```

{% endstep %}

{% step %}

### Determine Upgrade Path

```bash
sudo nodect upgrade_path
```

{% endstep %}

{% step %}

### Follow upgrade path

Choose the next available version required by the output in the previous step.

```bash
sudo nodectl upgrade_nodectl -v <version_you_found_here>
```

{% endstep %}

{% step %}

### Upgrade your Node

To verify that everything remains in perfect working order, issue a standard node upgrade.

You may omit the `--ni` if you would like an interactive experience.

```bash
sudo nodectl upgrade --ni
```

{% endstep %}
{% endstepper %}

***

## Manual Download

***

{% embed url="<https://github.com/StardustCollective/nodectl/releases>" %}

{% stepper %}
{% step %}

### Releases page

Open your browser and visit the **nodectl Releases Page.**
{% endstep %}

{% step %}

### Determine Version

Locate the version you want to install.
{% endstep %}

{% step %}

### Obtain Download Link

Copy the **direct download link** for the release file that matches the Linux distribution you are running on your VPS.
{% endstep %}

{% step %}

### Issue an upgrade

You may omit the `--ni` if you would like an interactive experience.

```
sudo nodectl upgrade --ni
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.constellationnetwork.io/run-a-node/legacy/troubleshoot-nodectl-upgrade.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
